Bug 175917 - bash hangs looping when expanding a large number of options
bash hangs looping when expanding a large number of options
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bash (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
Blocks: 176344
  Show dependency treegraph
Reported: 2005-12-16 04:04 EST by Giuseppe Vitillaro
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 16:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Giuseppe Vitillaro 2005-12-16 04:04:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux x86_64; en) Opera 8.51

Description of problem:
The problem seems easy to identify.
I was able to replicate the problem under AS 4.1 and 4.2.

Just cd to /usr/share (205781 files) and issue the command (under bash):

echo `find .` > /dev/null

The shell will hang looping forever until killed and consuming 100%
of the proccessor power.

The same command under ksh work as expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.login under bash as any user
2.cd /usr/share
3.while in /usr/share issue the command: echo `find .` > /dev/null

Actual Results:  wait for a while and the shell will hang. A top command will show this.
a kill or a kill -9 is needed to terminate the loop

Expected Results:  the shell should execute the command and return the prompt to the command line

Additional info:
Comment 4 Giuseppe Vitillaro 2006-04-05 13:39:25 EDT
Just a comment ... I'm really wondering on what RedHat mean when it uses the 
word "support".

This issue is open from 2005-12-16 04:04 EST and at "Wed Apr  5 19:44:34 CEST 
2006", after more than 4 months ... I'm still waiting for a comment ...

A bug on the main system shell seems a serious problem ... but this is just my 2 
cent opinion.

Regards G. Vitillaro.
Comment 8 RHEL Product and Program Management 2006-09-05 15:47:53 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 9 RHEL Product and Program Management 2006-09-05 16:01:15 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 10 Giuseppe Vitillaro 2006-09-06 03:37:38 EDT
This is the answer of a manager ... a ridicolous answer ... so I'll reply with a 
comment a manager will understand ... my RH shares are already sold.

Thx, Regards, G. Vitillaro.

Note You need to log in before you can comment on or make changes to this bug.